import request from '@/config/axios'

// 获取用户信息
export const getUserInfo = async (params) => {
  return await request.get({
    url: '/app-api/menduner/system/mde-user/get',
    params
  })
}

// 获取当前用户绑定的企业列表
export const getUserBindEnterpriseList = async (params) => {
  return await request.get({
    url: '/app-api/menduner/system/enterprise-user-bind/get/enterprise/list',
    params
  })
}

// 根据手机号获取用户绑定的企业列表
export const getUserBindEnterpriseListByPhone = async (params) => {
  return await request.get({
    url: '/app-api/menduner/system/enterprise-user-bind/get/enterprise/list/by/phone',
    params
  })
}

// 企业注册申请
export const enterpriseRegisterApply = async (data) => {
  return await request.post({
    url: '/app-api/menduner/system/enterprise-register/apply',
    data
  })
}

// 获取当前用户提交的企业申请
export const getUserRegisterEnterpriseApply = async (params) => {
  return await request.get({
    url: '/app-api/menduner/system/enterprise-register/by/user',
    params
  })
}
